#include <qapplication.h>
#include <qfont.h>
#include <qstring.h>
#include <qtextcodec.h>
#include <qtranslator.h>
#include "gomd-qt-example.h"

int main(int argc, char *argv[])
{

	if (argc!=2) {
	 cout << "Usage : gomd-qt-example [ip-address-to-connect-to-gomd]" << endl;
	 exit(-1);
	}

	QApplication a(argc, argv);

	a.setFont(QFont("helvetica", 12));
	QTranslator tor( 0 );
	tor.load( QString("gomd-qt-example.") + QTextCodec::locale(), "." );
	a.installTranslator( &tor );

	qtgomd *gomdexample=new qtgomd();
	a.setMainWidget(gomdexample);
	QFont font("helvetica");
	font.setPixelSize(12);
	gomdexample->setFont(font);

	gomdexample->setMinimumSize(300,40);
	gomdexample->setMaximumSize(300,600);
	gomdexample->setGeometry(20,200,300,40);

	gomdexample->setgomdip(argv[1]);
	gomdexample->starttimer();
	gomdexample->show();

	return a.exec();
}

